Summary: Automatically disable system default route on a specific date
Name: system-autodeath
Version: 0.3
Release: 10%{?dist}
License: GPLv2+
Group: System Environment/Base
Source: http://skvidal.fedorapeople.org/%{name}/%{name}-%{version}.tar.gz
Source1: system-autodeath.conf
URL: http://skvidal.fedorapeople.org/%{name}/
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArchitectures: noarch
Requires: crontabs
Requires: util-linux, bc, iproute

%description
system-autodeath is a cron job that runs daily, checking the current  
time versus a configured death date for the machine. Within one week
of this date the system will emit log notices to syslog.alert notifying
that the system will remove its default network route on a specific date. 
On the date the system will have its default route deleted. It 
will continue to do this every day until someone does something about it.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/system-autodeath.conf

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc README COPYING
%{_sysconfdir}/cron.daily/system-autodeath.sh
%config %{_sysconfdir}/sysconfig/system-autodeath.conf
%{_mandir}/man8/system-autodeath.*

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Oct 10 2013 Matthew Miller <mattdm@mattdm.org>
- update to match updated cron packaging guidelines (Bz #989122)
  http://fedoraproject.org/wiki/Packaging:CronFiles#Cron_Job_Files_Packaging

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov 23 2012 Marcela Mašláňová <mmaslano@redhat.com> - 0.3-6
- The requirement on vixie-cron is not correct anymore. The dailyjobs will be
  used as virtual requirement since now, but /etc/cron.daily will also work. 
- #879550

* Sun Sep 09 2012 Matthew Miller <mattdm@fedoraproject.org>
- change the default death date to be far in the future so that it doesn't 
  bite people accidentally.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 16 2009 Seth Vidal <skvidal at fedoraproject.org>
- bump to 0.3 to remove silly files left over inside tarball

* Fri Sep  4 2009 Seth Vidal <skvidal at fedoraproject.org>
- bump date and rebuild for f12

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 13 2009 Seth Vidal <skvidal at fedoraproject.org>
- specific system-autodeath.conf

* Mon Nov  3 2008 Seth Vidal <skvidal at fedoraproject.org>
- update description
- add conf file as alternative source

* Thu Oct 30 2008 Seth Vidal <skvidal at fedoraproject.org>
- more fedora-ization
- frelling changelog version numbers can sod off :)

* Thu Oct 30 2008 Seth Vidal <skvidal at fedoraproject.org>
- fedoraize spec file - bump to 2

* Thu Sep 18 2008 Seth Vidal <skvidal at fedoraproject.org>
- First spec file for system-autodeath

